Subject: RE: bug#24663: 24.5; doc string of `completion-at-point-functions'

From: Drew Adams <[email-masked]>
Date: Thu, 13 Oct 2016 12:46:19 -0700 (PDT)

> > 3. "the thing at point" means nothing.  Thing at point means something
> > only for a given type of THING.  There is not just one ("the") thing
> > at point.
> >
> > Presumably what is meant here is not a thing at point but some text
> > preceding point.  It is some text before point that is completed.
> 
> I don't understand what are you saying here.  Sure, it's some text at
> point, but the form of that text might describe a symbol, an
> expression, a string, etc.
> 
> I changed that to say "the entity at point" because the rest of the
> doc string refers to that.

1. It cannot be "THE" thing (or THE entity) at point.  Which one?
You can get different kinds of thing at point.  You must provide
the desired THING type, for "thing at point" to mean anything.
How is the type of thing (or entity) decided, here?  If the user
is not specifying it (which I think is the case) then the doc
should say something about how the type is chosen.

2. I don't see how/why saying "entity" changes anything, here.
"THE" entity?  What is that?

3. It is not text AT point that is completed.  It is text BEFORE
point that is completed.  AT can only refer to characters after
point, not before.